
/// The 2018 spec has thirteen text styles:
/// ```
/// NAME         SIZE  WEIGHT  SPACING
/// headline1    96.0  light   -1.5
/// headline2    60.0  light   -0.5
/// headline3    48.0  normal   0.0
/// headline4    34.0  normal   0.25
/// headline5    24.0  normal   0.0
/// headline6    20.0  medium   0.15
/// subtitle1    16.0  normal   0.15
/// subtitle2    14.0  medium   0.1
/// body1        16.0  normal   0.5
/// body2        14.0  normal   0.25
/// button       14.0  medium   0.75
/// caption      12.0  normal   0.4
/// overline     10.0  normal   1.5
///
/// ```
/// Where "light" is `FontWeight.w300`, "normal" is `FontWeight.w400` and
/// "medium" is `FontWeight.w500`.
abstract class DimensionResources {

  // region Fonts
  // region Font Sizes
  double get fontSizeHeadline1 => 96;
  double get fontSizeHeadline2 => 60;
  double get fontSizeHeadline3 => 48;
  double get fontSizeHeadline4 => 34;
  double get fontSizeHeadline5 => 24;
  double get fontSizeHeadline6 => 20;
  double get fontSizeSubtitle1 => 16;
  double get fontSizeSubtitle2 => 14;
  double get fontSizeBody1 => 16;
  double get fontSizeBody2 => 14;
  double get fontSizeButton => 14;
  double get fontSizeCaption => 12;
  double get fontSizeOverline => 10;
  // endregion Font Sizes

  // region Font Heights
  double get fontHeightHeadline1 => 1.5;
  double get fontHeightHeadline2 => 1.5;
  double get fontHeightHeadline3 => 1.5;
  double get fontHeightHeadline4 => 1.5;
  double get fontHeightHeadline5 => 1.5;
  double get fontHeightHeadline6 => 1.5;
  double get fontHeightSubtitle1 => 1.5;
  double get fontHeightSubtitle2 => 1.5;
  double get fontHeightBody1 => 1.5;
  double get fontHeightBody2 => 1.5;
  double get fontHeightButton => 1.5;
  double get fontHeightCaption => 1.5;
  double get fontHeightOverline => 1.5;
  // endregion Font Heights

  // region Font Letter Spacing
  double get fontLetterSpacingHeadline1 => -1.5;
  double get fontLetterSpacingHeadline2 => -0.5;
  double get fontLetterSpacingHeadline3 => 0;
  double get fontLetterSpacingHeadline4 => 0.25;
  double get fontLetterSpacingHeadline5 => 0;
  double get fontLetterSpacingHeadline6 => 0.15;
  double get fontLetterSpacingSectionTitle => 0.5;
  double get fontLetterSpacingSubtitle1 => 0.15;
  double get fontLetterSpacingSubtitle2 => 0.1;
  double get fontLetterSpacingBody1 => 0.5;
  double get fontLetterSpacingBody2 => 0.25;
  double get fontLetterSpacingButton => 1.25;
  double get fontLetterSpacingCaption => 0.4;
  double get fontLetterSpacingOverline => 1.5;
  // endregion Font Letter Spacing

  // region Font Word Spacing
  double get fontWordSpacingHeadline1 => -1.5;
  double get fontWordSpacingHeadline2 => -0.5;
  double get fontWordSpacingHeadline3 => 0;
  double get fontWordSpacingHeadline4 => 0.25;
  double get fontWordSpacingHeadline5 => 0;
  double get fontWordSpacingHeadline6 => 0.15;
  double get fontWordSpacingSectionTitle => 0.5;
  double get fontWordSpacingSubtitle1 => 0.15;
  double get fontWordSpacingSubtitle2 => 0.1;
  double get fontWordSpacingBody1 => 0.5;
  double get fontWordSpacingBody2 => 0.25;
  double get fontWordSpacingButton => 1.25;
  double get fontWordSpacingCaption => 0.4;
  double get fontWordSpacingOverline => 1.5;
  // endregion Font Word Spacing
  // endregion Fonts
}